import React, { Component, ContextType, ReactElement, RefObject } from 'react';
import { EntityContext } from '../hooks';
export interface DOMViewProps {
    children: ReactElement;
}
export interface DOMViewState {
    styles: {
        top: number;
        left: number;
        width: number;
        height: number;
        position: 'absolute' | 'relative';
    };
}
/**
 * Documentation for DOMView
 * @noInheritDoc
 */
export declare class DOMView extends Component<DOMViewProps> {
    static contextType: React.Context<import("tick-knock").Entity>;
    context: ContextType<typeof EntityContext>;
    readonly ref: RefObject<HTMLElement>;
    constructor(props: DOMViewProps);
    get element(): HTMLElement;
    componentDidMount(): void;
    render(): JSX.Element;
}
